#
# spec file for package python-simplekml
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2016-2019, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-simplekml
Version:        1.3.5
Release:        bp155.2.10
Summary:        A Simple KML creator
License:        LGPL-3.0-or-later
URL:            http://readthedocs.org/projects/simplekml/
Source:         https://files.pythonhosted.org/packages/source/s/simplekml/simplekml-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/eisoldt/simplekml/master/LICENSE.txt
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
The python package simplekml was created to generate kml (or kmz).
It was designed to alleviate the burden of having to study KML in order to
achieve anything worthwhile with it.
If you have a simple understanding of the structure of KML, then simplekml
is easy to run with and create usable KML.

%prep
%setup -q -n simplekml-%{version}
sed -i 's/\r$//' README.md
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

#%%check
#Upstream does not have any checks

%files %{python_files}
%license LICENSE.txt
%doc README.md
%{python_sitelib}/simplekml
%{python_sitelib}/simplekml-%{version}-py%{python_version}.egg-info

%changelog
* Wed Apr 15 2020 Marketa Calabkova <mcalabkova@suse.com>
- update to 1.3.5
  * moved from Bitbucket to GitHub
  * Python 3.8 support
* Tue Mar 17 2020 pgajdos@suse.com
- version update to 1.3.3
  * no upstream changelog found
* Sun Mar 15 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Fri Dec 27 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 1.3.1
- Specfile cleanup and convert to singlespec
- Use correct license
* Sat Aug 27 2016 mardnh@gmx.de
- initial package, version 1.3.0
